Bug 441876 - (CVE-2008-1687) CVE-2008-1687 m4: unquoted output of maketemp and mkstemp
CVE-2008-1687 m4: unquoted output of maketemp and mkstemp
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20080407,...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 12:58 EDT by Tomas Hoger
Modified: 2008-04-15 03:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 03:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-10 12:58:10 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1687 to the following vulnerability:

The (1) maketemp and (2) mkstemp builtin functions in GNU m4 before
1.4.11 do not quote their output when a file is created, which might
allow context-dependent attackers to trigger a macro expansion,
leading to unspecified use of an incorrect filename.

References:
http://www.openwall.com/lists/oss-security/2008/04/07/1
http://lists.gnu.org/archive/html/m4-announce/2008-04/msg00000.html
http://slackware.com/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.510612
http://secunia.com/advisories/29671

Upstream patch:
http://git.sv.gnu.org/gitweb/?p=m4.git;a=commit;h=5345bb49077bfda9fabd048e563f9e7077fe335d
Comment 1 Tomas Hoger 2008-04-15 03:29:31 EDT
Red Hat does not consider this to be a security issue.

Note You need to log in before you can comment on or make changes to this bug.